------------------------------------------------------------------------------
-- Globals required by localized tables
------------------------------------------------------------------------------
CHATMANAGER_EM = {
	ON = "|cffffff00",					-- Yellow (default emphasis color)
	RED = "|cffff4000",					-- Red (used for warnings)
	OFF = "|r",
};


------------------------------------------------------------------------------
-- English localization (default)
--
-- Original text by Cirk
------------------------------------------------------------------------------
-- Bindings text
BINDING_HEADER_CHATMANAGER_TITLE = "Chatmanager";
BINDING_NAME_CHATMANAGER_PANEL = "Toggle Chatmanager";
BINDING_NAME_CHATMANAGER_SAY = "Say";
BINDING_NAME_CHATMANAGER_PARTY = "Party";
BINDING_NAME_CHATMANAGER_RAID = "Raid";
BINDING_NAME_CHATMANAGER_BATTLEGROUND = "Battleground";
BINDING_NAME_CHATMANAGER_GUILD = "Guild";
BINDING_NAME_CHATMANAGER_OFFICER = "Officer";
BINDING_NAME_CHATMANAGER_CHANNEL_1 = "Channel 1";
BINDING_NAME_CHATMANAGER_CHANNEL_2 = "Channel 2";
BINDING_NAME_CHATMANAGER_CHANNEL_3 = "Channel 3";
BINDING_NAME_CHATMANAGER_CHANNEL_4 = "Channel 4";
BINDING_NAME_CHATMANAGER_CHANNEL_5 = "Channel 5";
BINDING_NAME_CHATMANAGER_CHANNEL_6 = "Channel 6";
BINDING_NAME_CHATMANAGER_CHANNEL_7 = "Channel 7";
BINDING_NAME_CHATMANAGER_CHANNEL_8 = "Channel 8";
BINDING_NAME_CHATMANAGER_CHANNEL_9 = "Channel 9";
BINDING_NAME_CHATMANAGER_CHANNEL_10 = "Channel 10";

-- General text strings
CHATMANAGER_TEXT = {
	FRAME_TITLE = "Chatmanager",
	FRAME_LIST_TITLE = "Channels",
	FRAME_SETTINGS_TITLE_FORMAT = "Settings for %s",
	FRAME_SETTINGS_TITLE_UNSELECTED = "Channel Settings",
	FRAME_CHANNEL_NAME_FORMAT = "%s (%d)",
	FRAME_CHANNEL_NAME_NOPLAYERS_FORMAT = "%s",
	FRAME_CHANNEL_NAME_SUSPENDED_FORMAT = "%s (inactive)",
	FRAME_PLAYERS_TITLE_FORMAT = "Players (%d)",
	FRAME_PLAYERS_TITLE_NONE = "Players",
	FRAME_LIST_NUMBER_FORMAT = "%d.",
	CHANNEL_JOIN_NOTE_FORMAT = "%s (%s|r)",
	PASSWORD_TITLE = "Password",
	ALWAYS_USE_PASSWORD_TITLE = "Always use password",
	ALWAYS_USE_PASSWORD_TOOLTIP = "Forces password to be used if there isn't one when connecting to the channel",
	CHANNEL_STICKY_TITLE = "Channel is sticky",
	CHANNEL_STICKY_TOOLTIP = "If enabled this channel will stay as the default after you send a message on it",
	CHANNEL_COLOR_TITLE = "Channel text color",
	CHANNEL_COLOR_TOOLTIP = "Change color of messages for this channel",
	PASSWORD_SET_BUTTON = "Set",
	OPTIONS_BUTTON = "Options",
	LOADING_TEXT = "...",

	OPTIONS_FRAME_TITLE = "Chat Options",
	REPLY_TO_SENT_TITLE = "Reply also to last whisper sent",
	REPLY_TO_SENT_TOOLTIP = "Allow reply to be either the last player who whispered you or that you whispered to",
	CHAT_LINK_TITLE = "Send item links in chat channels",
	CHAT_LINK_TOOLTIP = "Players using Chatmanager or Yrys's ChatLink can see items you link in private chat channels",
	SMART_STICKY_TITLE = "Enable channel smart-sticky mode",
	SMART_STICKY_TOOLTIP = "Channels that are normally sticky are not while you are in a raid or party",
	CHAT_LOG_TITLE = "Remember chat logging state",
	CHAT_LOG_TOOLTIP = "Chat logging state is remembered and restored as needed between logins",
	CHAT_BUTTON_TITLE = "Show Chatmanager button",
	CHAT_BUTTON_TOOLTIP = "Shows the Chatmanager button",
	CHAT_SCROLL_TITLE = "Chat window mousewheel scrolling",
	CHAT_SCROLL_TOOLTIP = "Mousewheel will scroll up and down in chat windows",
	CHAT_HIDE_BUTTONS_TITLE = "Hide chat window buttons",
	CHAT_HIDE_BUTTONS_TOOLTIP = "Hides the chat window scroll and menu buttons",
	USE_GUILD_NOTES_TITLE = "Use guild note as player default",
	USE_GUILD_NOTES_TOOLTIP = "Use your guild's public notes as the default player note",
	EDITBOX_AT_TOP_TITLE = "Text entry at the top of chat",
	EDITBOX_AT_TOP_TOOLTIP = "Puts the text entry box at the top of the main chat frame, rather than at the bottom",
	EDITBOX_NO_ALT_TITLE = "Text entry doesn't use ALT key",
	EDITBOX_NO_ALT_TOOLTIP = "Stops you needing to use the ALT key to move the cursor focus when the text entry box is open",

	CHAT_STICKY_SAY_TITLE = "Say is sticky",
	CHAT_STICKY_SAY_TOOLTIP = "Say will be sticky",
	CHAT_STICKY_PARTY_TITLE = "Party is sticky",
	CHAT_STICKY_PARTY_TOOLTIP = "Party chat will be sticky",
	CHAT_STICKY_RAID_TITLE = "Raid is sticky",
	CHAT_STICKY_RAID_TOOLTIP = "Raid chat will be sticky",
	CHAT_STICKY_GUILD_TITLE = "Guild is sticky",
	CHAT_STICKY_GUILD_TOOLTIP = "Guild chat will be sticky",
	CHAT_STICKY_OFFICER_TITLE = "Officer is sticky",
	CHAT_STICKY_OFFICER_TOOLTIP = "Officer chat will be sticky",
	CHAT_STICKY_WHISPER_TITLE = "Whisper is sticky",
	CHAT_STICKY_WHISPER_TOOLTIP = "Whispers will be sticky",
	CHAT_STICKY_BATTLEGROUND_TITLE = "Battleground is sticky",
	CHAT_STICKY_BATTLEGROUND_TOOLTIP = "Battleground chat will be sticky",

	MOVE_TO_OPTION = "Move channel to",
	MOVE_TO_CHANNEL_FORMAT = "%d.",
	TEXT_COLOR_OPTION = "Change text color",
	LEAVE_OPTION = "Leave channel",
	MUTE_PLAYER_OPTION = "Chat mute",
	UNMUTE_PLAYER_OPTION = "Chat unmute",
	KICK_PLAYER_OPTION = "Kick",
	BAN_PLAYER_OPTION = "Ban",
	SET_MODERATOR_OPTION = "Set as moderator",
	UNSET_MODERATOR_OPTION = "Unset as moderator",
	SET_OWNER_OPTION = "Set as owner",
	EDIT_PLAYER_NOTE = "Edit note",
	VOICE_MUTE_PLAYER_OPTION = "Voice mute",
	VOICE_UNMUTE_PLAYER_OPTION = "Voice unmute",
	VOICE_SILENCE_PLAYER_OPTION = "Voice silence",
	VOICE_UNSILENCE_PLAYER_OPTION = "Voice unsilence",

	NEW_CHANNEL_OPTION = "Join new channel...",
	REJOIN_CHANNEL_OPTION = "Rejoin %s",

	ENABLE_VOICE_OPTION = "Enable voice",
	VOICE_CHAT_OPTION = "Voice chat here",

	ENTER_NEW_CHANNEL_TEXT = "Enter name of channel to connect to:\n(a password can be optionally given after the name)",
	ENTER_PLAYER_NOTE_TEXT = "Edit note for player %s",
	MENU_BUTTON_DRAG_TOOLTIP = "CTRL and left-click to drag",
	MENU_BUTTON_MENU_TOOLTIP = "Right-click for chat menu",

	CHANNEL_HEADER = "%d. %s",											-- 1. General
	LIST_CHANNELS_FORMAT_STRING = "[%d. %s] ",							-- [1. General]
	LIST_CHANNELS_PARSE_STRING = "%[(%d+)%. (.-)%]",					-- [1. General - Ironforge]
	LIST_PLAYER_NAMES_PARSE_STRING = "([%*%#%@]*)([^%p%s]+)",			-- *Gimlet, @Cirk, Stigma, #Prodigal
	LIST_PLAYER_OWNER = "*",											-- Must match string value from client
	LIST_PLAYER_MODERATOR = "@",										-- Must match string value from client
	LIST_PLAYER_MUTED = "#",											-- Must match string value from client

	PLAYER_NAME_MUTED_FORMAT = "%s #",
	PLAYER_NAME_NORMAL_FORMAT = "%s",

	PLAYER_OWNER_TOOLTIP_FORMAT = "Channel owner",
	PLAYER_MODERATOR_TOOLTIP_FORMAT = "Moderator",
	PLAYER_MUTED_TOOLTIP_FORMAT = "Muted",

	CONFIRM_LEAVE_FORMAT = "Really leave \"%s\" channel?",

	DEBUG = CHATMANAGER_EM.ON.."Chatmanager: "..CHATMANAGER_EM.OFF,
	ERROR = CHATMANAGER_EM.RED.."Chatmanager: "..CHATMANAGER_EM.OFF,
};

-- Slash commands and responses
CHATMANAGER_COMMANDS = {
	-- Slash commands
	COMMAND_HELP = "help",
	COMMAND_SHOW = "show",
	COMMAND_HIDE = "hide",
	COMMAND_OPTIONS = "options",
	COMMAND_DEBUGON = "debugon",
	COMMAND_DEBUGOFF = "debugoff",
	COMMAND_RESET = "reset",
	OPTION_RESET_ORDER = "order",
	OPTION_RESET_COLOR = "color",
	OPTION_RESET_WINDOW = "window",
	OPTION_RESET_ALL = "all",
	COMMAND_PLAYERNOTE = "note",
	COMMAND_PLAYEREDIT = "edit",
	COMMAND_LISTNOTES = "list",

	-- Slash command responses
	COMMAND_DEBUGON_CONFIRM = "Chatmanager debug is enabled",
	COMMAND_DEBUGOFF_CONFIRM = "Chatmanager debug is disabled",
	COMMAND_RESET_ORDER_CONFIRM = CHATMANAGER_EM.ON.."Chatmanager channel assignments reset"..CHATMANAGER_EM.OFF,
	COMMAND_RESET_COLOR_CONFIRM = CHATMANAGER_EM.ON.."Chatmanager channel colors reset to default"..CHATMANAGER_EM.OFF,
	COMMAND_RESET_WINDOW_CONFIRM = CHATMANAGER_EM.ON.."Chatmanager window positions reset"..CHATMANAGER_EM.OFF,
	COMMAND_RESET_HELP = CHATMANAGER_EM.ON.."Specify "..CHATMANAGER_EM.OFF.."order"..CHATMANAGER_EM.ON..", "..CHATMANAGER_EM.OFF.."color"..CHATMANAGER_EM.ON..", "..CHATMANAGER_EM.OFF.."window"..CHATMANAGER_EM.ON..", or "..CHATMANAGER_EM.OFF.."all"..CHATMANAGER_EM.OFF,
	COMMAND_PLAYERNOTE_CONFIRM_FORMAT = CHATMANAGER_EM.ON.."Note for player "..CHATMANAGER_EM.OFF.."%s"..CHATMANAGER_EM.ON.." has been changed to \""..CHATMANAGER_EM.OFF.."%s"..CHATMANAGER_EM.ON.."\""..CHATMANAGER_EM.OFF,
	COMMAND_PLAYERNOTE_REMOVE_FORMAT = CHATMANAGER_EM.ON.."Note for player "..CHATMANAGER_EM.OFF.."%s"..CHATMANAGER_EM.ON.." removed."..CHATMANAGER_EM.OFF,
	COMMAND_PLAYERNOTE_REMOVE_DEFAULT_FORMAT = CHATMANAGER_EM.ON.."Note for player "..CHATMANAGER_EM.OFF.."%s"..CHATMANAGER_EM.ON.." removed (using guild note instead)."..CHATMANAGER_EM.OFF,
	COMMAND_PLAYERNOTE_HELP = CHATMANAGER_EM.ON.."A player name is required for this command."..CHATMANAGER_EM.OFF,
	COMMAND_PLAYERNOTE_LIST_FORMAT = CHATMANAGER_EM.ON.."%d. "..CHATMANAGER_EM.OFF.."%s"..CHATMANAGER_EM.ON.." - "..CHATMANAGER_EM.OFF.."%s",
	COMMAND_PLAYERNOTE_LIST_EMPTY = CHATMANAGER_EM.ON.."You have no player notes on this server."..CHATMANAGER_EM.OFF,
};

-- Help text
CHATMANAGER_DESCRIPTION = "Helps you to manage your chat channels by allowing you to change their order, colors, stickiness, and other related features, as well as easily see who is in a channel.";
CHATMANAGER_HELP = {
	CHATMANAGER_EM.ON.."/chatmanager "..CHATMANAGER_EM.OFF.."toggles the Chatmanager window between shown and hidden",
	CHATMANAGER_EM.ON.."/chatmanager "..CHATMANAGER_COMMANDS.COMMAND_HELP..CHATMANAGER_EM.OFF.." shows this help message",
	CHATMANAGER_EM.ON.."/chatmanager "..CHATMANAGER_COMMANDS.COMMAND_SHOW..CHATMANAGER_EM.OFF.." shows the Chatmanager window",
	CHATMANAGER_EM.ON.."/chatmanager "..CHATMANAGER_COMMANDS.COMMAND_HIDE..CHATMANAGER_EM.OFF.." hides the Chatmanager window",
	CHATMANAGER_EM.ON.."/chatmanager "..CHATMANAGER_COMMANDS.COMMAND_OPTIONS..CHATMANAGER_EM.OFF.." shows the Chatmanager options window",
	CHATMANAGER_EM.ON.."/chatmanager "..CHATMANAGER_COMMANDS.COMMAND_RESET.." "..CHATMANAGER_COMMANDS.OPTION_RESET_ORDER..CHATMANAGER_EM.OFF.." resets channels to client ordering",
	CHATMANAGER_EM.ON.."/chatmanager "..CHATMANAGER_COMMANDS.COMMAND_RESET.." "..CHATMANAGER_COMMANDS.OPTION_RESET_COLOR..CHATMANAGER_EM.OFF.." resets channels colors to default",
	CHATMANAGER_EM.ON.."/chatmanager "..CHATMANAGER_COMMANDS.COMMAND_RESET.." "..CHATMANAGER_COMMANDS.OPTION_RESET_WINDOW..CHATMANAGER_EM.OFF.." resets window positions",
	CHATMANAGER_EM.ON.."/chatmanager "..CHATMANAGER_COMMANDS.COMMAND_RESET.." "..CHATMANAGER_COMMANDS.OPTION_RESET_ALL..CHATMANAGER_EM.OFF.." resets channel ordering, colors, and window positions",
	CHATMANAGER_EM.ON.."/chatmanager "..CHATMANAGER_COMMANDS.COMMAND_PLAYERNOTE.." <name> [note]"..CHATMANAGER_EM.OFF.." allows you to edit the note for a player",
	CHATMANAGER_EM.ON.."/chatmanager "..CHATMANAGER_COMMANDS.COMMAND_LISTNOTES..CHATMANAGER_EM.OFF.." lists all known player notes to your chat window (may be very long)",
	"",
	"Chatmanager also supports direct key bindings (via the Game Menu) for showing the Chatmanager window and direct access to specific chat channels.",
};


------------------------------------------------------------------------------
-- Chinese traditional localization
--
-- 繁體化 by Mioka (Cherie)
------------------------------------------------------------------------------
if (GetLocale() == "zhTW") then

BINDING_HEADER_CHATMANAGER_TITLE = "Chatmanager";
BINDING_NAME_CHATMANAGER_PANEL = "聊天頻道管理";
BINDING_NAME_CHATMANAGER_SAY = "說";
BINDING_NAME_CHATMANAGER_PARTY = "隊伍";
BINDING_NAME_CHATMANAGER_RAID = "團隊";
BINDING_NAME_CHATMANAGER_BATTLEGROUND = "Battleground";
BINDING_NAME_CHATMANAGER_GUILD = "公會";
BINDING_NAME_CHATMANAGER_OFFICER = "幹部";
BINDING_NAME_CHATMANAGER_CHANNEL_1 = "頻道 1";
BINDING_NAME_CHATMANAGER_CHANNEL_2 = "頻道 2";
BINDING_NAME_CHATMANAGER_CHANNEL_3 = "頻道 3";
BINDING_NAME_CHATMANAGER_CHANNEL_4 = "頻道 4";
BINDING_NAME_CHATMANAGER_CHANNEL_5 = "頻道 5";
BINDING_NAME_CHATMANAGER_CHANNEL_6 = "頻道 6";
BINDING_NAME_CHATMANAGER_CHANNEL_7 = "頻道 7";
BINDING_NAME_CHATMANAGER_CHANNEL_8 = "頻道 8";
BINDING_NAME_CHATMANAGER_CHANNEL_9 = "頻道 9";
BINDING_NAME_CHATMANAGER_CHANNEL_10 = "頻道 10";

CHATMANAGER_TEXT = {
	FRAME_TITLE = "Chatmanager",
	FRAME_LIST_TITLE = "頻道列表",
	FRAME_SETTINGS_TITLE_FORMAT = "設定頻道 - %s",
	FRAME_SETTINGS_TITLE_UNSELECTED = "頻道配置",
	FRAME_CHANNEL_NAME_FORMAT = "%s (%d)",
	FRAME_CHANNEL_NAME_NOPLAYERS_FORMAT = "%s",
	FRAME_CHANNEL_NAME_SUSPENDED_FORMAT = "%s (未加入)",
	FRAME_PLAYERS_TITLE_FORMAT = "玩家 (%d)",
	FRAME_PLAYERS_TITLE_NONE = "玩家",
	FRAME_LIST_NUMBER_FORMAT = "%d.",
	CHANNEL_JOIN_NOTE_FORMAT = "%s (%s|r)",
	PASSWORD_TITLE = "密碼",
	ALWAYS_USE_PASSWORD_TITLE = "總是使用密碼",
	ALWAYS_USE_PASSWORD_TOOLTIP = "開啟此選項將在每次登入頻道時強制使用密碼",
	CHANNEL_STICKY_TITLE = "自動記錄頻道",
	CHANNEL_STICKY_TOOLTIP = "開啟此選項將會自動記錄為最後一個使用過的頻道",
	CHANNEL_COLOR_TITLE = "頻道文字顏色",
	CHANNEL_COLOR_TOOLTIP = "改變此頻道的文字顏色",
	PASSWORD_SET_BUTTON = "設置",
	OPTIONS_BUTTON = "選項",
	LOADING_TEXT = "...",

	OPTIONS_FRAME_TITLE = "聊天設定",
	REPLY_TO_SENT_TITLE = "回覆最後的密語",
	REPLY_TO_SENT_TOOLTIP = "總是回覆你最後一個密語的玩家",
	CHAT_LINK_TITLE = "發送物品連結至聊天頻道",
	CHAT_LINK_TOOLTIP = "玩家使用 Chatmanager 或 Yrys's ChatLink 可於自設頻道裡看見物品連結",
	SMART_STICKY_TITLE = "開啟頻道自動選取方式",
	SMART_STICKY_TOOLTIP = "只要你不在任何隊伍或團隊中，則不會自動選取該頻道為最後使用的頻道",
	CHAT_LOG_TITLE = "記錄聊天頻道狀態",
	CHAT_LOG_TOOLTIP = "登錄時記錄及恢復已加入的聊天頻道狀態",
	CHAT_BUTTON_TITLE = "顯示 Chatmanager 按鈕",
	CHAT_BUTTON_TOOLTIP = "顯示 Chatmanager 插件的按鈕",
	CHAT_SCROLL_TITLE = "聊天視窗使用滑鼠滾輪",
	CHAT_SCROLL_TOOLTIP = "可於聊天視窗使用滑鼠滾輪上下滾動",
	CHAT_HIDE_BUTTONS_TITLE = "隱藏聊天視窗按鈕",
	CHAT_HIDE_BUTTONS_TOOLTIP = "隱藏聊天視窗的選單及滾動按鈕 (預設選單隱藏後可於 Chatmanager 按鈕按右鍵喚出)",
	USE_GUILD_NOTES_TITLE = "顯示公會的玩家註釋",
	USE_GUILD_NOTES_TOOLTIP = "顯示所屬公會的玩家註釋",
	EDITBOX_AT_TOP_TITLE = "對話方塊顯示在上方",
	EDITBOX_AT_TOP_TOOLTIP = "將對話方塊顯示在主聊天視窗的上方，相當於視窗按鈕位置",
	EDITBOX_NO_ALT_TITLE = "輸入上一次的對話不使用 ALT 鍵",
	EDITBOX_NO_ALT_TOOLTIP = "開啟此設定為不需使用 ALT 鍵 便可重發上次的對話 (需開啟對話方塊)",

	CHAT_STICKY_SAY_TITLE = "說",
	CHAT_STICKY_SAY_TOOLTIP = "開啟此選項將會自動記錄(說)為最後頻道",
	CHAT_STICKY_PARTY_TITLE = "隊伍",
	CHAT_STICKY_PARTY_TOOLTIP = "開啟此選項將會自動記錄(隊伍)為最後頻道",
	CHAT_STICKY_RAID_TITLE = "團隊",
	CHAT_STICKY_RAID_TOOLTIP = "開啟此選項將會自動記錄(團隊)為最後頻道",
	CHAT_STICKY_GUILD_TITLE = "公會",
	CHAT_STICKY_GUILD_TOOLTIP = "開啟此選項將會自動記錄(公會)為最後頻道",
	CHAT_STICKY_OFFICER_TITLE = "幹部",
	CHAT_STICKY_OFFICER_TOOLTIP = "開啟此選項將會自動記錄(幹部)為最後頻道",
	CHAT_STICKY_WHISPER_TITLE = "密語",
	CHAT_STICKY_WHISPER_TOOLTIP = "開啟此選項將會自動記錄(密語)為最後頻道",
	CHAT_STICKY_BATTLEGROUND_TITLE = "Battleground is sticky",
	CHAT_STICKY_BATTLEGROUND_TOOLTIP = "Battleground chat will be sticky",

	MOVE_TO_OPTION = "頻道移至",
	MOVE_TO_CHANNEL_FORMAT = "%d.",
	TEXT_COLOR_OPTION = "改變文字顏色",
	LEAVE_OPTION = "離開頻道",
	MUTE_PLAYER_OPTION = "禁止發言",
	UNMUTE_PLAYER_OPTION = "取消禁止發言",
	KICK_PLAYER_OPTION = "踢出",
	BAN_PLAYER_OPTION = "禁止",
	SET_MODERATOR_OPTION = "設為頻道管理員",
	UNSET_MODERATOR_OPTION = "取消頻道管理員",
	SET_OWNER_OPTION = "更改為頻道主持人",
	EDIT_PLAYER_NOTE = "編輯註釋",
	VOICE_MUTE_PLAYER_OPTION = "消音",
	VOICE_UNMUTE_PLAYER_OPTION = "取消消音",
	VOICE_SILENCE_PLAYER_OPTION = "無聲",
	VOICE_UNSILENCE_PLAYER_OPTION = "取消無聲",

	NEW_CHANNEL_OPTION = "加入新頻道...",
	REJOIN_CHANNEL_OPTION = "重新加入頻道 %s",

	ENABLE_VOICE_OPTION = "開啟語音",
	VOICE_CHAT_OPTION = "語音",

	ENTER_NEW_CHANNEL_TEXT = "輸入頻道名稱:\n(輸入頻道名稱後可選擇是否設置密碼)",
	ENTER_PLAYER_NOTE_TEXT = "編輯玩家 %s 的註釋",
	MENU_BUTTON_DRAG_TOOLTIP = "左鍵打開插件設置選單 (CTRL + 左鍵 移動按鈕)",
	MENU_BUTTON_MENU_TOOLTIP = "右鍵打開選單",

	CHANNEL_HEADER = "%d. %s",											-- 1. General
	LIST_CHANNELS_FORMAT_STRING = "[%d. %s] ",							-- [1. General]
	LIST_CHANNELS_PARSE_STRING = "%[(%d+)%. (.-)%]",					-- [1. General - Ironforge]
	LIST_PLAYER_NAMES_PARSE_STRING = "([%*%#%@]*)([^%p%s]+)",			-- *Gimlet, @Cirk, Stigma, #Prodigal
	LIST_PLAYER_OWNER = "*",											-- Must match string value from client
	LIST_PLAYER_MODERATOR = "@",										-- Must match string value from client
	LIST_PLAYER_MUTED = "#",											-- Must match string value from client

	PLAYER_NAME_MUTED_FORMAT = "%s #",
	PLAYER_NAME_NORMAL_FORMAT = "%s",

	PLAYER_OWNER_TOOLTIP_FORMAT = "頻道主持人",
	PLAYER_MODERATOR_TOOLTIP_FORMAT = "頻道管理員",
	PLAYER_MUTED_TOOLTIP_FORMAT = "消除",

	CONFIRM_LEAVE_FORMAT = "確定離開 \"%s\" 頻道?",

	DEBUG = CHATMANAGER_EM.ON.."Chatmanager: "..CHATMANAGER_EM.OFF,
	ERROR = CHATMANAGER_EM.RED.."Chatmanager: "..CHATMANAGER_EM.OFF,
};

CHATMANAGER_COMMANDS = {
	-- Slash commands
	COMMAND_HELP = "help",
	COMMAND_SHOW = "show",
	COMMAND_HIDE = "hide",
	COMMAND_OPTIONS = "options",
	COMMAND_DEBUGON = "debugon",
	COMMAND_DEBUGOFF = "debugoff",
	COMMAND_RESET = "reset",
	OPTION_RESET_ORDER = "order",
	OPTION_RESET_COLOR = "color",
	OPTION_RESET_WINDOW = "window",
	OPTION_RESET_ALL = "all",
	COMMAND_PLAYERNOTE = "note",
	COMMAND_PLAYEREDIT = "edit",
	COMMAND_LISTNOTES = "list",

	-- Slash command responses
	COMMAND_DEBUGON_CONFIRM = "Chatmanager debug is enabled",
	COMMAND_DEBUGOFF_CONFIRM = "Chatmanager debug is disabled",
	COMMAND_RESET_ORDER_CONFIRM = CHATMANAGER_EM.ON.."Chatmanager channel assignments reset"..CHATMANAGER_EM.OFF,
	COMMAND_RESET_COLOR_CONFIRM = CHATMANAGER_EM.ON.."Chatmanager channel colors reset to default"..CHATMANAGER_EM.OFF,
	COMMAND_RESET_WINDOW_CONFIRM = CHATMANAGER_EM.ON.."Chatmanager window positions reset"..CHATMANAGER_EM.OFF,
	COMMAND_RESET_HELP = CHATMANAGER_EM.ON.."Specify "..CHATMANAGER_EM.OFF.."order"..CHATMANAGER_EM.ON..", "..CHATMANAGER_EM.OFF.."color"..CHATMANAGER_EM.ON..", "..CHATMANAGER_EM.OFF.."window"..CHATMANAGER_EM.ON..", or "..CHATMANAGER_EM.OFF.."all"..CHATMANAGER_EM.OFF,
	COMMAND_PLAYERNOTE_CONFIRM_FORMAT = CHATMANAGER_EM.ON.."Note for player "..CHATMANAGER_EM.OFF.."%s"..CHATMANAGER_EM.ON.." has been changed to \""..CHATMANAGER_EM.OFF.."%s"..CHATMANAGER_EM.ON.."\""..CHATMANAGER_EM.OFF,
	COMMAND_PLAYERNOTE_REMOVE_FORMAT = CHATMANAGER_EM.ON.."Note for player "..CHATMANAGER_EM.OFF.."%s"..CHATMANAGER_EM.ON.." removed."..CHATMANAGER_EM.OFF,
	COMMAND_PLAYERNOTE_REMOVE_DEFAULT_FORMAT = CHATMANAGER_EM.ON.."Note for player "..CHATMANAGER_EM.OFF.."%s"..CHATMANAGER_EM.ON.." removed (using guild note instead)."..CHATMANAGER_EM.OFF,
	COMMAND_PLAYERNOTE_HELP = CHATMANAGER_EM.ON.."A player name is required for this command."..CHATMANAGER_EM.OFF,
	COMMAND_PLAYERNOTE_LIST_FORMAT = CHATMANAGER_EM.ON.."%d. "..CHATMANAGER_EM.OFF.."%s"..CHATMANAGER_EM.ON.." - "..CHATMANAGER_EM.OFF.."%s",
	COMMAND_PLAYERNOTE_LIST_EMPTY = CHATMANAGER_EM.ON.."You have no player notes on this server."..CHATMANAGER_EM.OFF,
};

-- Help text
CHATMANAGER_DESCRIPTION = "Helps you to manage your chat channels by allowing you to change their order, colors, stickiness, and other related features, as well as easily see who is in a channel.";
CHATMANAGER_HELP = {
	CHATMANAGER_EM.ON.."/chatmanager "..CHATMANAGER_EM.OFF.."toggles the Chatmanager window between shown and hidden",
	CHATMANAGER_EM.ON.."/chatmanager "..CHATMANAGER_COMMANDS.COMMAND_HELP..CHATMANAGER_EM.OFF.." shows this help message",
	CHATMANAGER_EM.ON.."/chatmanager "..CHATMANAGER_COMMANDS.COMMAND_SHOW..CHATMANAGER_EM.OFF.." shows the Chatmanager window",
	CHATMANAGER_EM.ON.."/chatmanager "..CHATMANAGER_COMMANDS.COMMAND_HIDE..CHATMANAGER_EM.OFF.." hides the Chatmanager window",
	CHATMANAGER_EM.ON.."/chatmanager "..CHATMANAGER_COMMANDS.COMMAND_OPTIONS..CHATMANAGER_EM.OFF.." shows the Chatmanager options window",
	CHATMANAGER_EM.ON.."/chatmanager "..CHATMANAGER_COMMANDS.COMMAND_RESET.." "..CHATMANAGER_COMMANDS.OPTION_RESET_ORDER..CHATMANAGER_EM.OFF.." resets channels to client ordering",
	CHATMANAGER_EM.ON.."/chatmanager "..CHATMANAGER_COMMANDS.COMMAND_RESET.." "..CHATMANAGER_COMMANDS.OPTION_RESET_COLOR..CHATMANAGER_EM.OFF.." resets channels colors to default",
	CHATMANAGER_EM.ON.."/chatmanager "..CHATMANAGER_COMMANDS.COMMAND_RESET.." "..CHATMANAGER_COMMANDS.OPTION_RESET_WINDOW..CHATMANAGER_EM.OFF.." resets window positions",
	CHATMANAGER_EM.ON.."/chatmanager "..CHATMANAGER_COMMANDS.COMMAND_RESET.." "..CHATMANAGER_COMMANDS.OPTION_RESET_ALL..CHATMANAGER_EM.OFF.." resets channel ordering, colors, and window positions",
	CHATMANAGER_EM.ON.."/chatmanager "..CHATMANAGER_COMMANDS.COMMAND_PLAYERNOTE.." <name> [note]"..CHATMANAGER_EM.OFF.." allows you to edit the note for a player",
	CHATMANAGER_EM.ON.."/chatmanager "..CHATMANAGER_COMMANDS.COMMAND_LISTNOTES..CHATMANAGER_EM.OFF.." lists all known player notes to your chat window (may be very long)",
	"",
	"Chatmanager also supports direct key bindings (via the Game Menu) for showing the Chatmanager window and direct access to specific chat channels.",
};

end
